/* This is free and unencumbered software released into the public domain. */

/// Contains classes for accessing and publishing data on a device.
///
/// See: https://developer.android.com/reference/android/content/package-summary
///
/// {@canonicalFor component_name.ComponentName}
/// {@canonicalFor content_values.ContentValues}
/// {@canonicalFor context.Context}
/// {@canonicalFor exceptions.ActivityNotFoundException}
/// {@canonicalFor intent.Intent}
/// {@canonicalFor intent_filter.IntentFilter}
/// {@canonicalFor shared_preferences.SharedPreferences}
library android_content;

export 'src/content/component_name.dart' show ComponentName;
export 'src/content/content_values.dart' show ContentValues;
export 'src/content/context.dart' show Context;
export 'src/content/exceptions.dart' show ActivityNotFoundException;
export 'src/content/intent.dart' show Intent;
export 'src/content/intent_filter.dart' show IntentFilter;
export 'src/content/shared_preferences.dart' show SharedPreferences;
